Introduction

Get All Registrations

GET https://api-sandbox.upwardli.com/v2/webhooks/registrations

Example Response:

{
"count": 2,
"next": null,
"previous": null,
"results": [
{
"id": "{webhook_registration_id}",
"partner_id": "{partner_id}",
"webhook_name": "consumer.created",
"endpoint": "{webhook_endpoint}",
"status": "active",
"failures": 0,
"last_failure": null
},
{
"id": "{webhook_registration_id}",
"partner_id": "{partner_id}",
"webhook_name": "consumer.updated",
"endpoint": "{webhook_endpoint}",
"status": "active",
"failures": 0,
"last_failure": null
}
]
}

Get event history for a webhook

GET: https://api-sandbox.upwardli.com/v2/webhooks/{id}/events

Query Parameters

ParameterTypeRequiredDescription
start_datestringNoFilter events on or after this date. Format: YYYY-MM-DD (e.g. 2024-03-01). When omitted, all events are returned.

Example Request (with date filter):

GET: https://api-sandbox.upwardli.com/v2/webhooks/{id}/events?start_date=2024-03-01

Example Response:

{
"count": 2,
"next": "https://api-sandbox.upwardli.com/v2/webhooks/{webhookd_registration_id}/events/?page=2",
"previous": null,
"results": [
{
"id": "{webhook_instance_id}",
"partner_id": "{partner_id}",
"created_at": "2023-10-23T14:22:14.555202Z",
"event_name": "creditline.updated",
"resources": [
"https://api-sandbox.upwardli.com/v2/creditline/{creditline_id}"
],
"last_attempted_at": "2023-10-23T14:22:14.555247Z"
},
{
"id": "{webhook_instance_id}",
"partner_id": "{partner_id}",
"created_at": "2023-10-23T16:34:28.971724Z",
"event_name": "creditline.updated",
"resources": [
"https://api-sandbox.upwardli.com/v2/creditline/{creditline_id}"
],
"last_attempted_at": "2023-10-23T16:34:28.971755Z"
}
]
}